
TYPO3.TypoScript - Task # 48359

Work Package # 48275 (New): TypoScript consistency

Status: Resolved Priority: Should have
Author: Sebastian Kurfuerst Category:
Created: 2013-05-17 Assigned To: Sebastian Kurfuerst
Updated: 2013-09-23 Due date:
Subject: Simple Value / Eel Expression / TypoScript Object Interoperability
Description

currently, there is a big distinction between simple values and eel expressions, and sub-TypoScript objects; despite them sharing
the same namespace.

However, basically, all of the above mentioned three TS data types produce a value which they return to their parent.

That's why the following should be made possible:

page.template = "adf" // works today
page.template = ${...} // works today
page.template = Case { // does NOT work today; but we want to make this possible.
   foo.condition = ${...}
   foo.then = "myTemplate" 
   ...
}

Same for the other way around:

page.body.sections.main = Template // works today
page.body.sections.main = "my static string" // does NOT work today, but we want to make this possible.

Related issues:
related to TYPO3.TypoScript - Task # 48361: Kill processor classes; change pr... Resolved 2013-05-17
related to TYPO3.TypoScript - Task # 48362: (maybe) rename "matcher" to "if" New 2013-05-17

Associated revisions
Revision af27c183 - 2013-09-23 21:44 - Sebastian Kurfuerst

[FEATURE] Value / Eel Expression / TypoScript-Object interoperability

Currently, there is a big distinction between simple values and Eel
expressions, and sub-TypoScript objects; despite them sharing the same
namespace.

However, basically, all of the above mentioned three TS data types produce
a value which they return to their parent.

This functionality must be tested in the following three dimensions:
1.a using Runtime::evaluate()
1.b using $this->tsValue() inside a TypoScript object

2.a without processors
2.b with processors

3.a pass in a simple type
3.b pass in an Eel Expression
3.c pass in a TypoScript object

This change implements the functionality in a test-driven way, testing
all the 12 cases from above.

This change also removes all references to "implementationClassName" which
was deprecated for a long time now as well. Using
"implementationClassName" instead of "@class" was broken anyway so this
is not considered breaking.

Resolves: #48359
Change-Id: I3f2569025808f7fa13bee5164b94cbfc982889bf
Reviewed-on: https://review.typo3.org/21003
Reviewed-by: Christian Mueller
Tested-by: Christian Mueller

History
#1 - 2013-05-23 10:40 - Sebastian Kurfuerst

TODO: also update the TS reference (TYPO3.TypoScript:Value); and completely remove this type.

#2 - 2013-05-23 18:12 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21003

#3 - 2013-05-23 18:13 - Sebastian Kurfuerst
- Status changed from Accepted to Under Review
- % Done changed from 0 to 30

#4 - 2013-06-10 08:29 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21003

#5 - 2013-06-10 09:08 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21003
#6 - 2013-06-24 15:19 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21003

#7 - 2013-07-01 14:14 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21003

#8 - 2013-07-07 01:24 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21003

#9 - 2013-07-07 01:49 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21003

#10 - 2013-07-19 00:49 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21003

#11 - 2013-07-19 10:46 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21003

#12 - 2013-07-19 14:14 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21003

#13 - 2013-07-19 15:56 - Gerrit Code Review

Patch set 11 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21003

#14 - 2013-07-19 19:47 - Gerrit Code Review

Patch set 12 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21003
#15 - 2013-07-20 10:12 - Gerrit Code Review

Patch set 13 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21003

#16 - 2013-07-20 10:26 - Gerrit Code Review

Patch set 14 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21003

#17 - 2013-07-20 10:37 - Gerrit Code Review

Patch set 15 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21003

#18 - 2013-07-20 10:48 - Gerrit Code Review

Patch set 16 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21003

#19 - 2013-07-24 14:02 - Gerrit Code Review

Patch set 17 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21003

#20 - 2013-08-09 19:48 - Gerrit Code Review

Patch set 18 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21003

#21 - 2013-09-16 21:59 - Gerrit Code Review

Patch set 19 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21003

#22 - 2013-09-16 22:08 - Gerrit Code Review

Patch set 20 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21003

#23 - 2013-09-23 21:40 - Gerrit Code Review

Patch set 21 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21003
#24 - 2013-09-23 22:35 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved
- % Done changed from 30 to 100

Applied in changeset commit:af27c1837f290746ff497656692d089807d0be24.
